Page 1 of 1

Is love-android updated to be compatible with Android API level 26?

Posted: Thu Oct 11, 2018 4:51 pm
by Pkill-9
The page for building a game APK using APKTool (https://love2d.org/wiki/Game_Distribution/APKTool) says at the top:
FIXME: This method is obsolete and shouldn't be used! New guide is needed if you plan distributing your game to Play Store. Google announces that all apps in Play Store must be compatible with API level 26, which can't be satisfied because LOVE APK limitation at the moment.
Has it been updated for API level 26?

Re: Is love-android updated to be compatible with Android API level 26?

Posted: Wed Oct 31, 2018 11:15 am
by Pebsie
As far as I'm aware love-android hasn't even been updated to 11.1 yet. Sad times, but shit happens.

Re: Is love-android updated to be compatible with Android API level 26?

Posted: Wed Oct 31, 2018 7:09 pm
by MissDanish
Pebsie wrote:
Wed Oct 31, 2018 11:15 am
As far as I'm aware love-android hasn't even been updated to 11.1 yet. Sad times, but shit happens.
you can download it here: https://bitbucket.org/rude/love/downloads/

Re: Is love-android updated to be compatible with Android API level 26?

Posted: Sun Nov 04, 2018 4:06 am
by gg
Love 11.1 works very well! Thank you

Re: Is love-android updated to be compatible with Android API level 26?

Posted: Sun Dec 23, 2018 3:16 pm
by hasan
Installing another version different from the one on play store works for name.love archive, but will not be able to run the main.lua as love disappears from share with or run with list.
I did crazy thing, using Apkeditor replaced the sdk version info and it is runs smoothly from tow editors on my device.
I do not know when it will crash and looking forward to see what the others are handling the issue.

Re: Is love-android updated to be compatible with Android API level 26?

Posted: Thu Mar 28, 2019 3:27 pm
by kicknbritt
Has anyone figured this out yet?

Re: Is love-android updated to be compatible with Android API level 26?

Posted: Sat Apr 06, 2019 6:54 pm
by jonthysell
I was able to update to API 26 off the 0.10.x branch last year and it worked fine, Google Play accepted my submission. Check out steps 6a, 6b, and just the last part of 8c here:

viewtopic.php?f=4&t=85615

Before you ask, no I haven't tried this on 0.11.x, but it looks like that branch is already on API 28 anyway. I just haven't had any reason to jump to 0.11.x considering how much work it took me to get a working dev environment for 0.10.x on Windows.